import { getModule, Module, MutationAction, VuexModule } from 'vuex-module-decorators';
import store from '@/store';
import http from '@/utils/request';
import { url } from '@/utils/url';
import { session } from '@/store/modules/session';
@Module({
  namespaced: true,
  dynamic: true,
  store,
  name: 'product.outbound.SpareDeliverGoods',
})
export class ReturnModule extends VuexModule {
  materielList: any = []; //备件发货 物料列表
  beijianList: any = []; //备件发货 数据列表
  findSpareInfoByDNCode: any = ''; //备件发货 查询单号接口code返回值
  @MutationAction
  async queryReturningTypeList(nxOutCode: string) {
    const res: any = await http.post(url.outbound.stoOutbound.findSpareInfoByDN, {
      factoryCode: session.factoryCode,
      loginName: session.loginName,
      nxOutCode,
    });
    const findSpareInfoByDNCode = res.code;
    const beijianList = res.data;
    const materielList = res.data.map((item: any) => ({
      label: item.materialCode,
      value: item.materialCode,
    }));
    return { beijianList, materielList, findSpareInfoByDNCode };
  }

  wlcodeList: any = [];
  @MutationAction
  async querywocodeList() {
    const data: any = await http.get(url.inbound.finishProductOffline.kuwei, {
      params: {
        factoryCode: session.factoryCode,
        loginName: session.loginName,
        warehouseCode: session.warehouseCode,
      },
    });
    const wlcodeList = data.data.map((item: any) => ({
      label: item.locationCode,
      value: item.locationCode + '(' + item.sendSpot + ')',
    }));
    return { wlcodeList };
  }

  submitCode: any = '';
  @MutationAction
  async submitbj(params: any) {
    const res: any = await http.post(url.outbound.stoOutbound.confirmSpareDeliver, {
      factoryCode: session.factoryCode,
      loginName: session.loginName,
      ...params,
    });
    const submitCode = res.code;
    return { submitCode };
  }

  detailList: any = [];
  @MutationAction
  async queryDetailed(order1: any) {
    const res: any = await http.post(url.outbound.stoOutbound.querySpareListInfoByDnNo, {
      factoryCode: session.factoryCode,
      loginName: session.loginName,
      order1,
    });
    res.data.map((item, index) => {
      item.index = index + 1;
    });
    const detailList = res.data;
    return { detailList };
  }
}

export default getModule(ReturnModule);
