import { getModule, Module, MutationAction, VuexModule } from 'vuex-module-decorators';
import store from '@/store';
import http from '@/utils/request';
import { url } from '@/utils/url';
import { session } from '@/store/modules/session';
@Module({
  namespaced: true,
  dynamic: true,
  store,
  name: 'page.raw.ingoods.SpareInbound.SparePartsWarehouse',
})
export class wholeTransfer extends VuexModule {
  WlList = [];
  @MutationAction
  async queryLocation() {
    const result: any = await http.post(url.warehouse.wholeTransfer.getSpareMdLocation, {
      factoryCode: session.factoryCode,
      loginName: session.loginName,
    });
    const WlList = result.data.map((_: any) => ({
      label: _.locationCode,
      value: _.locationCode,
    }));
    return { WlList };
  }
  orderNoItemList: any = [];
  productCodeList: any = [];
  @MutationAction
  async queryOrderNo(nxOutCode: any) {
    const result: any = await http.post(url.warehouse.wholeTransfer.findSpareInfoByDN, {
      factoryCode: session.factoryCode,
      loginName: session.loginName,
      nxOutCode,
    });
    const orderNoItemList = result.data;
    const productCodeList = result.data.map((_: any) => ({
      label: _.materialCode,
      value: _.materialCode,
    }));
    return { orderNoItemList, productCodeList };
  }
  BoxResCode: any = '';
  BoxObj: any = {};
  @MutationAction
  async BoxCode(barcode: any) {
    const result: any = await http.post(url.warehouse.wholeTransfer.scanBox, {
      factoryCode: session.factoryCode,
      loginName: session.loginName,
      barcode,
    });
    const BoxResCode = result.code;
    const BoxObj = result.data;
    return { BoxResCode, BoxObj };
  }
  SubmitCode: any = '';
  @MutationAction
  async OnSubmit(params: any) {
    const result: any = await http.post(url.warehouse.wholeTransfer.saleScan, params);
    const SubmitCode = result.code;
    return { SubmitCode };
  }
  @MutationAction
  async empty() {
    const productCodeList = [];
    return { productCodeList };
  }
  DetailList: any = [];
  @MutationAction
  async SearchDetail(order1: any) {
    const res: any = await http.post(url.warehouse.wholeTransfer.querySpareListInfoByDnNo, {
      factoryCode: session.factoryCode,
      loginName: session.loginName,
      order1,
    });
    const DetailList = res.data;
    return { DetailList };
  }
}

export default getModule(wholeTransfer);
