/*
 * @Author: zhou lei
 * @Date: 2022-10-27 18:31:28
 * @LastEditTime: 2022-10-28 11:53:07
 * @LastEditors: zhou lei
 * @Description:
 * @FilePath: \hgwms-factory-app\src\pages\raw\warehouse\Relationship\model.ts
 * 联系方式:910592680@qq.com 18669792120 科海达信息技术有限公司
 */
import { getModule, Module, MutationAction, VuexModule } from 'vuex-module-decorators';
import store from '@/store';
import http from '@/utils/request';
import { url } from '@/utils/url';
// import { page } from '@/utils/page';
import { session } from '@/store/modules/session';
import vm from '@/main';

class OrderInInfo {
  checked?: boolean;
  poNo?: string;
  kw?: string;
  userDefined10?: string;
  orderStatus?: string;
}

@Module({
  namespaced: true,
  dynamic: true,
  store,
  name: 'raw.warehouse.Relationship',
})
export class Relationship extends VuexModule {
  /**
   * sap库存地点列表
   */
  cboPlaceList = [];
  /**
   * 隐藏看单号
   */
  poNo = '';
  /**
   * 看单号查询结果
   */
  orderInInfo: OrderInInfo = new OrderInInfo();
  /**
   * 看单明细
   */
  orderInInfoList: OrderInInfo[] = [];
  code: any = '';
  /**
   * 看单明细未通过明细
   */
  // orderInInfoListEx: OrderInInfo[] = [];

  /**
  //  * 查询看单号
   * @param poNo 
   */
  @MutationAction
  async takeOrder(params: any) {
    try {
      const records: any = await http.post(url.warehouse.rowTransfer.stoAdjusList, {
        ...params,
        factoryCode: session.factoryCode,
        loginName: session.loginName,
        orderStatus: '0',
      });
      const orderInInfoList = records.data.records;
      const code = records.code;
      console.log('获取来的数据', orderInInfoList);
      return { orderInInfoList, code };
    } catch {
      //uni.showToast({ icon: 'none', title: vm.$t('message.Warehouse_Tip11') as any });
      vm.customToast(vm.$t('message.Warehouse_Tip11') as any);
    }
  }

  @MutationAction
  async onTakeoutConfirm(list: any) {
    const records: any = await http.post(url.warehouse.rowTransfer.confirmMoveStoAdjus, list);
    const code = records.code;
    return { code };
  }
}

export default getModule(Relationship);
